BooleanClause.Occur (Lucene 10.5.1 core API)
Description: declaration: package: org.apache.lucene.search, record: BooleanClause, enum: Occur

Package org.apache.lucene.search

# Enum Class BooleanClause.Occur

java.lang.Object
java.lang.Enum<BooleanClause.Occur>
org.apache.lucene.search.BooleanClause.Occur

All Implemented Interfaces:
  `Serializable`, `Comparable<BooleanClause.Occur>`, `Constable`

Enclosing class:
  `BooleanClause`

public static enum BooleanClause.Occur extends Enum<BooleanClause.Occur>
Specifies how clauses are to occur in matching documents.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FILTER`
  Like `MUST` except that these clauses do not participate in scoring.
  `MUST`
  Use this operator for clauses that must appear in the matching documents.
  `MUST_NOT`
  Use this operator for clauses that must not appear in the matching documents.
  `SHOULD`
  Use this operator for clauses that should appear in the matching documents.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BooleanClause.Occur`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static BooleanClause.Occur[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MUST

    public static final BooleanClause.Occur MUST
    Use this operator for clauses that must appear in the matching documents.

  - ### FILTER

    public static final BooleanClause.Occur FILTER
    Like `MUST` except that these clauses do not participate in scoring.

  - ### SHOULD

    public static final BooleanClause.Occur SHOULD
    Use this operator for clauses that should appear in the matching documents. For a BooleanQuery with no `MUST` clauses one or more `SHOULD` clauses must match a document for the BooleanQuery to match.
    See Also:
      - `BooleanQuery.Builder.setMinimumNumberShouldMatch(int)`

  - ### MUST_NOT

    public static final BooleanClause.Occur MUST_NOT
    Use this operator for clauses that must not appear in the matching documents. Note that it is not possible to search for queries that only consist of a `MUST_NOT` clause. These clauses do not contribute to the score of documents.

- ## Method Details

  - ### values

    public static BooleanClause.Occur[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BooleanClause.Occur valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null